/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02691
 |              SERVICES RESEARCH OUTCOMES STUDY, 1995-1996
 |            (DATASET 0002: CLIENT RECORDS ABSTRACTION DATA)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace CLIENTID = . if (CLIENTID <= -1 )
replace FAC_ID = . if (FAC_ID <= -1 )
replace MODE = . if (MODE <= -1 )
replace UTYPE = . if (UTYPE <= -1 )
replace ENVIRONM = . if (ENVIRONM <= -1 )
replace DEAD = . if (DEAD <= -1 )
replace RESP = . if (RESP <= -1 )
replace CLIENTYP = . if (CLIENTYP <= -1 )
replace Q3_WAIT = . if (Q3_WAIT <= -1 )
replace Q4_PLAN = . if (Q4_PLAN <= -1 )
replace Q5_PRIM = . if (Q5_PRIM <= -1 )
replace Q6_PRIM = . if (Q6_PRIM <= -1 )
replace Q7_SECN = . if (Q7_SECN <= -1 )
replace Q10_AGE = . if (Q10_AGE <= -1 )
replace Q11GEND = . if (Q11GEND <= -1 )
replace Q12RACE = . if (Q12RACE <= -1 )
replace Q13ETHN = . if (Q13ETHN <= -1 )
replace Q14MSTA = . if (Q14MSTA <= -1 )
replace Q15CHLD = . if (Q15CHLD <= -1 )
replace Q16CHLV = . if (Q16CHLV <= -1 )
replace Q17ARNG = . if (Q17ARNG <= -1 )
replace Q18EDU = . if (Q18EDU <= -1 )
replace Q19STU = . if (Q19STU <= -1 )
replace Q20EMPL = . if (Q20EMPL <= -1 )
replace Q22DWI = . if (Q22DWI <= -1 )
replace Q23OTHR = . if (Q23OTHR <= -1 )
replace Q24JAIL = . if (Q24JAIL <= -1 )
replace Q25TRTMN = . if (Q25TRTMN <= -1 )
replace Q26HOSP = . if (Q26HOSP <= -1 )
replace Q27MED = . if (Q27MED <= -1 )
replace Q28HIST = . if (Q28HIST <= -1 )
replace Q29ABUSE = . if (Q29ABUSE <= -1 )
replace Q30PREG = . if (Q30PREG <= -1 )
replace Q31PROB = . if (Q31PROB <= -1 )
replace Q32PRIN = . if (Q32PRIN <= -1 )
replace Q34HIV = . if (Q34HIV <= -1 )
replace Q34AINF = . if (Q34AINF <= -1 )
replace Q35A = . if (Q35A <= -1 )
replace Q35B = . if (Q35B <= -1 )
replace Q35C = . if (Q35C <= -1 )
replace Q36A = . if (Q36A <= -1 )
replace Q36B = . if (Q36B <= -1 )
replace Q36C = . if (Q36C <= -1 )
replace Q37A = . if (Q37A <= -1 )
replace Q37B = . if (Q37B <= -1 )
replace Q37C = . if (Q37C <= -1 )
replace Q38A = . if (Q38A <= -1 )
replace Q38B = . if (Q38B <= -1 )
replace Q38C = . if (Q38C <= -1 )
replace Q39A = . if (Q39A <= -1 )
replace Q39B = . if (Q39B <= -1 )
replace Q39C = . if (Q39C <= -1 )
replace Q40A = . if (Q40A <= -1 )
replace Q40B = . if (Q40B <= -1 )
replace Q40C = . if (Q40C <= -1 )
replace Q41A = . if (Q41A <= -1 )
replace Q41B = . if (Q41B <= -1 )
replace Q41C = . if (Q41C <= -1 )
replace Q42A = . if (Q42A <= -1 )
replace Q42B = . if (Q42B <= -1 )
replace Q42C = . if (Q42C <= -1 )
replace Q43A = . if (Q43A <= -1 )
replace Q43B = . if (Q43B <= -1 )
replace Q43C = . if (Q43C <= -1 )
replace Q44A = . if (Q44A <= -1 )
replace Q44B = . if (Q44B <= -1 )
replace Q44C = . if (Q44C <= -1 )
replace Q45A = . if (Q45A <= -1 )
replace Q45B = . if (Q45B <= -1 )
replace Q45C = . if (Q45C <= -1 )
replace Q46A = . if (Q46A <= -1 )
replace Q46B = . if (Q46B <= -1 )
replace Q46C = . if (Q46C <= -1 )
replace Q47A = . if (Q47A <= -1 )
replace Q47B = . if (Q47B <= -1 )
replace Q47C = . if (Q47C <= -1 )
replace Q48A = . if (Q48A <= -1 )
replace Q48B = . if (Q48B <= -1 )
replace Q48C = . if (Q48C <= -1 )
replace Q49A = . if (Q49A <= -1 )
replace Q49B = . if (Q49B <= -1 )
replace Q49C = . if (Q49C <= -1 )
replace Q50A = . if (Q50A <= -1 )
replace Q50B = . if (Q50B <= -1 )
replace Q50C = . if (Q50C <= -1 )
replace Q51A = . if (Q51A <= -1 )
replace Q51B = . if (Q51B <= -1 )
replace Q51C = . if (Q51C <= -1 )
replace Q52DRUG = . if (Q52DRUG <= -1 )
replace Q53INT = . if (Q53INT <= -1 )
replace Q53ADUSE = . if (Q53ADUSE <= -1 )
replace Q53BFRE = . if (Q53BFRE <= -1 )
replace Q54NUM = . if (Q54NUM <= -1 )
replace Q55POSTV = . if (Q55POSTV <= -1 )
replace Q56TEST = . if (Q56TEST <= -1 )
replace Q56_T1 = . if (Q56_T1 <= -1 )
replace Q56_T2 = . if (Q56_T2 <= -1 )
replace Q56_MON1 = . if (Q56_MON1 <= -1 )
replace Q56_DAY1 = . if (Q56_DAY1 <= -1 )
replace Q56_YR1 = . if (Q56_YR1 <= -1 )
replace Q56_MON2 = . if (Q56_MON2 <= -1 )
replace Q56_DAY2 = . if (Q56_DAY2 <= -1 )
replace Q56_YR2 = . if (Q56_YR2 <= -1 )
replace Q56A1 = . if (Q56A1 <= -1 )
replace Q56A2 = . if (Q56A2 <= -1 )
replace Q56B1 = . if (Q56B1 <= -1 )
replace Q56B2 = . if (Q56B2 <= -1 )
replace Q56C1 = . if (Q56C1 <= -1 )
replace Q56C2 = . if (Q56C2 <= -1 )
replace Q56D1 = . if (Q56D1 <= -1 )
replace Q56D2 = . if (Q56D2 <= -1 )
replace Q56E1 = . if (Q56E1 <= -1 )
replace Q56E2 = . if (Q56E2 <= -1 )
replace Q56F1 = . if (Q56F1 <= -1 )
replace Q56F2 = . if (Q56F2 <= -1 )
replace Q56G1 = . if (Q56G1 <= -1 )
replace Q56G2 = . if (Q56G2 <= -1 )
replace Q56H1 = . if (Q56H1 <= -1 )
replace Q56H2 = . if (Q56H2 <= -1 )
replace Q56I1 = . if (Q56I1 <= -1 )
replace Q56I2 = . if (Q56I2 <= -1 )
replace Q56J1 = . if (Q56J1 <= -1 )
replace Q56J2 = . if (Q56J2 <= -1 )
replace Q56K1 = . if (Q56K1 <= -1 )
replace Q56K2 = . if (Q56K2 <= -1 )
replace Q56L1 = . if (Q56L1 <= -1 )
replace Q56L2 = . if (Q56L2 <= -1 )
replace Q56M1 = . if (Q56M1 <= -1 )
replace Q56M2 = . if (Q56M2 <= -1 )
replace Q56N1 = . if (Q56N1 <= -1 )
replace Q56N2 = . if (Q56N2 <= -1 )
replace Q56O1 = . if (Q56O1 <= -1 )
replace Q56O2 = . if (Q56O2 <= -1 )
replace Q57TOTN = . if (Q57TOTN <= -1 )
replace Q57AYRN = . if (Q57AYRN <= -1 )
replace Q58PAST = . if (Q58PAST <= -1 )
replace Q58_PRA = . if (Q58_PRA <= -1 )
replace Q58_SECA = . if (Q58_SECA <= -1 )
replace Q58_FAA = . if (Q58_FAA <= -1 )
replace Q58_REA = . if (Q58_REA <= -1 )
replace Q58_PRB = . if (Q58_PRB <= -1 )
replace Q58_SECB = . if (Q58_SECB <= -1 )
replace Q58_FAB = . if (Q58_FAB <= -1 )
replace Q58_REB = . if (Q58_REB <= -1 )
replace Q58_PRC = . if (Q58_PRC <= -1 )
replace Q58_SECC = . if (Q58_SECC <= -1 )
replace Q58_FAC = . if (Q58_FAC <= -1 )
replace Q58_REC = . if (Q58_REC <= -1 )
replace Q58_PRD = . if (Q58_PRD <= -1 )
replace Q58_SECD = . if (Q58_SECD <= -1 )
replace Q58_FAD = . if (Q58_FAD <= -1 )
replace Q58_RED = . if (Q58_RED <= -1 )
replace Q58_PRE = . if (Q58_PRE <= -1 )
replace Q58_SECE = . if (Q58_SECE <= -1 )
replace Q58_FAE = . if (Q58_FAE <= -1 )
replace Q58_REE = . if (Q58_REE <= -1 )
replace Q58_PRF = . if (Q58_PRF <= -1 )
replace Q58_SECF = . if (Q58_SECF <= -1 )
replace Q58_FAF = . if (Q58_FAF <= -1 )
replace Q58_REF = . if (Q58_REF <= -1 )
replace Q58_PRG = . if (Q58_PRG <= -1 )
replace Q58_SECG = . if (Q58_SECG <= -1 )
replace Q58_FAG = . if (Q58_FAG <= -1 )
replace Q58_REG = . if (Q58_REG <= -1 )
replace Q58_PRH = . if (Q58_PRH <= -1 )
replace Q58_SECH = . if (Q58_SECH <= -1 )
replace Q58_FAH = . if (Q58_FAH <= -1 )
replace Q58_REH = . if (Q58_REH <= -1 )
replace Q58_PRI = . if (Q58_PRI <= -1 )
replace Q58_SECI = . if (Q58_SECI <= -1 )
replace Q58_FAI = . if (Q58_FAI <= -1 )
replace Q58_REI = . if (Q58_REI <= -1 )
replace Q58_PRJ = . if (Q58_PRJ <= -1 )
replace Q58_SECJ = . if (Q58_SECJ <= -1 )
replace Q58_FAJ = . if (Q58_FAJ <= -1 )
replace Q58_REJ = . if (Q58_REJ <= -1 )
replace Q59_SER = . if (Q59_SER <= -1 )
replace Q59_FAC = . if (Q59_FAC <= -1 )
replace Q59_NO = . if (Q59_NO <= -1 )
replace Q60_SER = . if (Q60_SER <= -1 )
replace Q60_FAC = . if (Q60_FAC <= -1 )
replace Q60_NO = . if (Q60_NO <= -1 )
replace Q61_SER = . if (Q61_SER <= -1 )
replace Q61_FAC = . if (Q61_FAC <= -1 )
replace Q61_NO = . if (Q61_NO <= -1 )
replace Q62_SER = . if (Q62_SER <= -1 )
replace Q62_FAC = . if (Q62_FAC <= -1 )
replace Q62_NO = . if (Q62_NO <= -1 )
replace Q63_SER = . if (Q63_SER <= -1 )
replace Q63_FAC = . if (Q63_FAC <= -1 )
replace Q64_SER = . if (Q64_SER <= -1 )
replace Q64_FAC = . if (Q64_FAC <= -1 )
replace Q65_SER = . if (Q65_SER <= -1 )
replace Q65_FAC = . if (Q65_FAC <= -1 )
replace Q66_SER = . if (Q66_SER <= -1 )
replace Q66_FAC = . if (Q66_FAC <= -1 )
replace Q67_SER = . if (Q67_SER <= -1 )
replace Q67_FAC = . if (Q67_FAC <= -1 )
replace Q68_SER = . if (Q68_SER <= -1 )
replace Q68_FAC = . if (Q68_FAC <= -1 )
replace Q69_SER = . if (Q69_SER <= -1 )
replace Q69_FAC = . if (Q69_FAC <= -1 )
replace Q70MED = . if (Q70MED <= -1 )
replace Q71ADM = . if (Q71ADM <= -1 )
replace Q72DIS = . if (Q72DIS <= -1 )
replace Q73OTHR = . if (Q73OTHR <= -1 )
replace Q74_METH = . if (Q74_METH <= -1 )
replace Q74ATOT = . if (Q74ATOT <= -1 )
replace Q74AGIV = . if (Q74AGIV <= -1 )
replace Q74ANUM = . if (Q74ANUM <= -1 )
replace Q74APLC = . if (Q74APLC <= -1 )
replace Q74BTOT = . if (Q74BTOT <= -1 )
replace Q74BGIV = . if (Q74BGIV <= -1 )
replace Q74BNUM = . if (Q74BNUM <= -1 )
replace Q74BPLC = . if (Q74BPLC <= -1 )
replace Q75_HOME = . if (Q75_HOME <= -1 )
replace Q76_DIS = . if (Q76_DIS <= -1 )
replace Q79SUB = . if (Q79SUB <= -1 )
replace Q80_PLN = . if (Q80_PLN <= -1 )
replace Q81AFTR = . if (Q81AFTR <= -1 )
replace Q74A_YR = . if (Q74A_YR <= -1 )
replace Q74B_YR = . if (Q74B_YR <= -1 )
replace Q77_YR = . if (Q77_YR <= -1 )
replace Q78_YR = . if (Q78_YR <= -1 )
replace Q81A = . if (Q81A <= -1 )
replace Q81B = . if (Q81B <= -1 )
replace Q81C = . if (Q81C <= -1 )
replace Q81D = . if (Q81D <= -1 )
replace Q81E = . if (Q81E <= -1 )
replace Q81F = . if (Q81F <= -1 )
replace Q81G = . if (Q81G <= -1 )
replace Q81H = . if (Q81H <= -1 )
replace Q81I = . if (Q81I <= -1 )
replace Q81J = . if (Q81J <= -1 )
replace Q82AFTR = . if (Q82AFTR <= -1 )
replace Q83BILL = . if (Q83BILL <= -1 )
replace Q83A_DOL = . if (Q83A_DOL <= -1 )
replace Q83CODE = . if (Q83CODE <= -1 )
replace Q83PCNT = . if (Q83PCNT <= -1 )
replace Q83B = . if (Q83B <= -1 )
replace Q353CMNT = . if (Q353CMNT <= -1 )
replace Q33B1RCD = . if (Q33B1RCD <= -1 )
replace Q33B2RCD = . if (Q33B2RCD <= -1 )
replace Q33CODE = . if (Q33CODE <= -1 )
replace Q33RCODE = . if (Q33RCODE <= -1 )


